﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;
using System.ComponentModel;

namespace NoHeadersForChildLayouts
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Data> Data { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            int childID = 1;
            int childIDMAX = 5;
            Data = new ObservableCollection<Data>();
            string[] names = { "Matt", "Joe", "John", "Mary", "Sue" };
            int[] children = { 0, 1, 2, 3, 4 };
            Random r = new Random();

            for (int i = 100; i < 110; i++)
            {
                Data d = new Data()
                {
                    ID = i,
                    Name = names[r.Next(0, 5)] + i.ToString(),
                    ChildData = new ObservableCollection<Data>()
                };

                for (int j = childID; j <= childIDMAX; j++)
                {
                    Data d1 = new Data()
                    {
                        ID = j,
                        Name = names[r.Next(0, 5)] + j.ToString(),
                        ChildData = new ObservableCollection<Data>()
                    };

                    d.ChildData.Add(d1);

                }
                Data.Add(d);

                childID = childID + 5;
                childIDMAX = childIDMAX + 5;

            }

            DataContext = this;          
        }

        private void xamDataGrid1_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            if (e.ParentExpandableFieldRecord == null)
                e.FieldLayout = xamDataGrid1.FieldLayouts["parent"];
            else
                e.FieldLayout = xamDataGrid1.FieldLayouts["child"];             
        }
       
   
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public ObservableCollection<Data> ChildData { get; set; }
    }


}
